org.apache.cassandra.metrics

## Class HintedHandoffMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.HintedHandoffMetrics

-     public class HintedHandoffMetrics
      extends java.lang.Object

  Metrics for `HintsService`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HintedHandoffMetrics.DifferencingCounter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HintedHandoffMetrics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `incrCreatedHints(java.net.InetAddress address)`
    `void` | `incrPastWindow(java.net.InetAddress address)`
    `void` | `log()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HintedHandoffMetrics

          public HintedHandoffMetrics()

  - ### Method Detail

    - #### incrCreatedHints

          public void incrCreatedHints(java.net.InetAddress address)

    - #### incrPastWindow

          public void incrPastWindow(java.net.InetAddress address)

    - #### log

          public void log()

Copyright © 2018 The Apache Software Foundation